package org.springblade.command.service.impl;


import lombok.AllArgsConstructor;
import org.springblade.command.mapper.FzyjFkMapper;
import org.springblade.command.pojo.entity.FzyjFkEntity;
import org.springblade.command.service.IFzyjFkService;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;

/**
 * 服务实现类
 *
 * @author Chill
 */
@Service
@AllArgsConstructor
public class IFzyjFkServiceImpl extends BaseServiceImpl<FzyjFkMapper, FzyjFkEntity> implements IFzyjFkService {

	@Override
	public FzyjFkEntity getFkBySyncId(Long SyncId) {
		return baseMapper.getFkBySyncId(SyncId);
	}

	@Override
	public boolean updateFkBySyncId(FzyjFkEntity fzyjFkEntity) {
		return baseMapper.updateFkBySyncId(fzyjFkEntity) > 0;
	}

}
